Subject: bug#65678: 30.0.50; EWW rendered errs when the EWW buffer is closed before the page gets loaded

From: Ihor Radchenko <[email-masked]>
Date: Fri, 01 Sep 2023 13:44:26 +0000

When I quickly open and close a EWW page, I get the following error
after a while:

Debugger entered--Lisp error: (error "Selecting deleted buffer")
  (eww-render (:peer ...) "https://sfba.social/@kickingvegas/1109829258114145..." nil #<killed buffer> nil)
  (url-http-activate-callback)
  (url-http-chunked-encoding-after-change-function 12257 12929 672)
  (url-http-generic-filter #<process sfba.social> "\312V\5.-i\205KKZ\341R\236o;%.-\326/p)\357\317\0G\342Rx\33B\215(q\247b\277\200\245$G\337\360\306\335\352\364\5,-...")

I'd expect no error to be thrown and the rendered silently stopping.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.17.8) of 2023-08-29 built on localhost
Repository revision: 5e254a0f46e2410763d1b58135442ed0d50b0fed
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101008
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>